Bug 254523 - net-p2p/py-libtorrent-rasterbar fails to package in poudriere (version 2.x)
Summary: net-p2p/py-libtorrent-rasterbar fails to package in poudriere (version 2.x)
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-24 10:18 UTC by NunMac
Modified: 2021-04-04 02:01 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NunMac 2021-03-24 10:18:44 UTC
Building this through poudriere does not build and create a package for "libtorrent-rasterbar".

Also, listing run depends through ports, does not list "libtorrent-rasterbar":
root@FreeBSD-Desktop:/poudriere/ports/HEAD/net-p2p/py-libtorrent-rasterbar # make run-depends-list
/poudriere/ports/HEAD/devel/boost-python-libs
/poudriere/ports/HEAD/devel/py-setuptools
/poudriere/ports/HEAD/lang/python37
Comment 1 Yuri Victorovich freebsd_committer 2021-04-03 11:17:12 UTC
NunMac,

What port version does this bug relate to?

net-p2p/py-libtorrent-rasterbar has been downgraded 2.x -> 1.x recently.

Yuri
Comment 2 NunMac 2021-04-04 00:09:09 UTC
(In reply to Yuri Victorovich from comment #1)

The bug was for 2.x. After the downgrade to 1.x, it is not an issue anymore and all dependencies are built.
Comment 3 Yuri Victorovich freebsd_committer 2021-04-04 02:00:17 UTC
(In reply to NunMac from comment #2)

Ok, thanks!
Comment 4 Yuri Victorovich freebsd_committer 2021-04-04 02:01:35 UTC
I'll remember to retest if/when we will upgrade back to 2.x.